Index: trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 209)
+++ trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 226)
@@ -8,26 +8,26 @@
 ; pltz and pltt
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
 ; @param COUPE {type=string}
-; It designate the type of cut to which the axes we create 
+; It designate the type of cut to which the axes we create
 ; must report. For example: 'xy','xt'...
 ;
 ; @param TEMPSMIN {in}{required}
-; In the case where we do cut containing the time dimension, we have 
+; In the case where we do cut containing the time dimension, we have
 ; to specify the beginning of the time's axis in julian days.
 ;
 ; @param TEMPSMAX {in}{required}
-; In the case where we do cut containing the time dimension, we have 
+; In the case where we do cut containing the time dimension, we have
 ; to specify the end of the time's axis in julian days.
 ;
-; @keyword SIN 
+; @keyword SIN
 ; activated when we trace in sinus of the latitude
 ;
 ; @keyword SEPDATE {type=string}
-; It separate the different constituents of the date. By default, 
-; it is a return to the line when we do a 'yt', 'zt' or a 't'. 
-; In the other cases, it is a blank. 
+; It separate the different constituents of the date. By default,
+; it is a return to the line when we do a 'yt', 'zt' or a 't'.
+; In the other cases, it is a blank.
 ;
 ; @keyword DIGITSYEAR
@@ -36,7 +36,7 @@
 ; information on %Z and %Y.
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
-; 
+;
 ; @uses
 ; common.pro
@@ -65,6 +65,6 @@
    tempsun = systime(1)         ; pour key_performance
 ;--------------------------------------------------------------
-; Management of ticks of the time axis in the case of TEMPSMIN 
-; and TEMPSMAX are definied
+; Management of ticks of the time axis in the case of TEMPSMIN
+; and TEMPSMAX are defined
 ;--------------------------------------------------------------
    divday = 0
@@ -94,5 +94,5 @@
           ymax-ymin+1 GT 10: BEGIN & freq = 2. & tminor = 4 & datfmt = '%M'+sep+fmtyr & end
           ELSE: BEGIN & freq = 1. & tminor = 4 & datfmt = '%M'+sep+fmtyr & end
-          ENDCASE 
+          ENDCASE
           nticks = ceil((ymax-ymin)/freq) + 2
           yminf = (floor(ymin/freq))*freq
@@ -174,5 +174,5 @@
           for mn = 0, nticks-1 do ticknom[mn] = julday(mmin, dmin, ymin, hmin, mnminf + freq*mn, 0, _EXTRA = ex)
           ticknom = ticknom[where(ticknom GE tempsmin AND ticknom LE tempsmax, nticks)]
-          datfmt = '%H:%I' 
+          datfmt = '%H:%I'
         END
 ; second base
@@ -201,13 +201,13 @@
       dummy = label_date(0, 0, 0, DATE_FORMAT = datfmt, _EXTRA = ex)
       if chkstru(ex, 'DATE_FORMAT') then ex.DATE_FORMAT = ''
-   ENDIF 
+   ENDIF
 ;--------------------------------------------------------------
 ; Definition of axes parameters case by case
 ;--------------------------------------------------------------
    case coupe of
-      'pltv':BEGIN 
+      'pltv':BEGIN
         dtasize = tempsmin
          !x.range = [-0.5, dtasize[0] - 0.5]
-         !y.range = [-0.5, dtasize[1] - 0.5] 
+         !y.range = [-0.5, dtasize[1] - 0.5]
          if keyword_set(reverse_x) then !x.range=reverse(!x.range)
          if keyword_set(reverse_y) then !y.range=reverse(!y.range)
@@ -215,5 +215,5 @@
          !y.title = 'ny'
       END
-      'xy':BEGIN 
+      'xy':BEGIN
          if keyword_set(reverse_x) then !x.range=[lon2,lon1] ELSE !x.range=[lon1,lon2]
          if keyword_set(reverse_y) then !y.range=[lat2,lat1] ELSE !y.range=[lat1,lat2]
@@ -221,5 +221,5 @@
          IF key_onearth THEN !y.tickformat='lataxe'
       END
-      'yz':BEGIN 
+      'yz':BEGIN
          if keyword_set(reverse_x) then !x.range=[lat2,lat1] ELSE !x.range=[lat1,lat2]
          if keyword_set(reverse_y) then !y.range=[0, -1] ELSE !y.range = [-1, 0]
@@ -227,5 +227,5 @@
 ; number of ticks by default
             plot, [0], [0], /noerase, /nodata, xtick_get = xaxe
-; We increase this number to it be around 10 
+; We increase this number to it be around 10
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
@@ -241,5 +241,5 @@
          endif
       end
-      'xz':BEGIN 
+      'xz':BEGIN
          if keyword_set(reverse_x) then !x.range=[lon2,lon1] ELSE !x.range=[lon1,lon2]
          if keyword_set(reverse_y) then !y.range=[0, -1] ELSE !y.range = [-1, 0]
@@ -252,5 +252,5 @@
 ;          result = LABEL_DATE(DATE_FORMAT = '%M'+sep+fmtyr)
 ;          !y.tickformat='LABEL_DATE'
-         !y.tickname = LABEL_DATE(1, 0,ticknom,_EXTRA = ex) 
+         !y.tickname = LABEL_DATE(1, 0,ticknom,_EXTRA = ex)
          !y.ticklen=1.
          !y.gridstyle=2
@@ -266,5 +266,5 @@
          if keyword_set(reverse_y) then !y.range=[lat2, lat1] ELSE !y.range=[lat1,lat2]
          IF key_onearth THEN !y.tickformat='lataxe'
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -278,6 +278,6 @@
          if keyword_set(reverse_x) then !x.range = [tempsmax,tempsmin]-tempsmin $
          ELSE !x.range=[tempsmin,tempsmax]-tempsmin
-         if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1] 
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1]
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -291,5 +291,5 @@
          if keyword_set(reverse_x) then !x.range = [tempsmax,tempsmin]-tempsmin $
          ELSE !x.range=[tempsmin,tempsmax]-tempsmin
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -308,5 +308,5 @@
 ; Number of ticks by default
             plot, [0], [0], /nodata, /noerase, xstyle = 5, ystyle = 5, xtick_get = xaxe
-; We increase this number to it be around 10 
+; We increase this number to it be around 10
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
@@ -324,10 +324,10 @@
       END
       'z' : begin
-;          if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1] 
+;          if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1]
 ;          if keyword_set(reverse_y) then !y.range=[gdep[0], gdep[n_elements(gdep)-1]] $
 ;          ELSE !y.range=[gdep[n_elements(gdep)-1], gdep[0]]
-      END 
+      END
    endcase
-   if keyword_set(key_performance) THEN print, 'temps axe', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps axe', systime(1)-tempsun
    return
 end
